Updating Firefox in Mint 8

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
mag
Level 1
Level 1
Posts: 17
Joined: Tue Aug 23, 2011 3:39 pm

Updating Firefox in Mint 8

Post by mag » Fri Aug 26, 2011 12:35 pm

I'm a new Linux user. I posted earlier that I can't get Mint 11 to load on this machine, but Mint 8 is fine.

So, Mint 8 seems good to me, but I'm stuck with FF 3.

Perhaps it's just my windows upbringing, but having an obsolete browser version worries me.

I followed this guidance to try to update it.

'Simply run these two commands in a terminal:

sudo add-apt-repository ppa:mozillateam/firefox-stable
sudo apt-get update && sudo apt-get upgrade'


Encouraging amounts of downloading took place, and everything seemed to finish - but I'm still on FF 3.

Can anybody advise what I need to do to upgrade Mint 8 to FF 5 or 6?

many thanks
mag

User avatar
Demonkunga
Level 1
Level 1
Posts: 20
Joined: Thu Oct 28, 2010 3:25 pm
Location: California

Re: Updating Firefox in Mint 8

Post by Demonkunga » Fri Aug 26, 2011 1:06 pm

Possibly try http://www.mozilla.org/en-US/firefox/fx/ I'm not quite sure though. I'd like to know myself X3 Although what you did should have worked. :\ <--noob advice, if I'm wrong, tell me! :P
~~~WARNING~~~ The above question(s) and/or advice is that of a new Linux user! Please proceed with caution!

mag
Level 1
Level 1
Posts: 17
Joined: Tue Aug 23, 2011 3:39 pm

Re: Updating Firefox in Mint 8

Post by mag » Sat Aug 27, 2011 7:04 am

Thanks - but that didn't work either:
downloaded FF6
extracted
moved to opt
created link in usr/bin
attempted to run from terminal and got the following -

firefox-6
WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX 1.3 is not supported! This is an application bug!
failed to create drawable


This is not proving as easy as I'd hoped!

Post Reply

Return to “Newbie Questions”